package com.fs.qw.service;

import com.fs.qw.domain.FsAppContactWay;
import com.fs.qw.vo.FsAppContactWayListVO;

import java.util.List;

/**
 * app客服活码上架Service接口
 *
 * @author fs
 * @date 2024-12-02
 */
public interface IFsAppContactWayService
{
    /**
     * 查询app客服活码上架
     *
     * @param id app客服活码上架主键
     * @return app客服活码上架
     */
    public FsAppContactWay selectFsAppContactWayById(Long id);

    /**
     * 查询app客服活码上架列表
     *
     * @param fsAppContactWay app客服活码上架
     * @return app客服活码上架集合
     */
    public List<FsAppContactWay> selectFsAppContactWayList(FsAppContactWay fsAppContactWay);

    /**
     * 新增app客服活码上架
     *
     * @param fsAppContactWay app客服活码上架
     * @return 结果
     */
    public int insertFsAppContactWay(FsAppContactWay fsAppContactWay);

    /**
     * 修改app客服活码上架
     *
     * @param fsAppContactWay app客服活码上架
     * @return 结果
     */
    public int updateFsAppContactWay(FsAppContactWay fsAppContactWay);

    /**
     * 批量删除app客服活码上架
     *
     * @param ids 需要删除的app客服活码上架主键集合
     * @return 结果
     */
    public int deleteFsAppContactWayByIds(Long[] ids);

    /**
     * 删除app客服活码上架信息
     *
     * @param id app客服活码上架主键
     * @return 结果
     */
    public int deleteFsAppContactWayById(Long id);

    List<FsAppContactWayListVO> selectFsAppContactWayListVO(FsAppContactWay fsAppContactWay);

    FsAppContactWay selectContactWayRandom();

}
